## com.vividsolutions.jts.operation.overlay.validate
Class FuzzyPointLocator

    java.lang.Object
      com.vividsolutions.jts.operation.overlay.validate.FuzzyPointLocator

public class FuzzyPointLocator
extends java.lang.Object

Finds the most likely `Location` of a point relative to the polygonal components of a geometry, using a tolerance value. If a point is not clearly in the Interior or Exterior, it is considered to be on the Boundary. In other words, if the point is within the tolerance of the Boundary, it is considered to be on the Boundary; otherwise, whether it is Interior or Exterior is determined directly.

Version:
  1.7
Author:
  Martin Davis

Constructor Summary
`FuzzyPointLocator(Geometry g, double boundaryDistanceTolerance)`

Method Summary
`int` `getLocation(Coordinate pt)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FuzzyPointLocator

    public FuzzyPointLocator(Geometry g,
                             double boundaryDistanceTolerance)

Method Detail

### getLocation

    public int getLocation(Coordinate pt)